Imports Microsoft.VisualBasic
Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports Syncfusion.Web.UI.WebControls.Grid.Grouping
Imports Syncfusion.Grouping
Imports Syncfusion.Windows.Forms.Grid
Partial Class grid
    Inherits System.Web.UI.Page
    Dim blnTabExecute As Boolean = False
    Protected Sub Page_Init(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Init
        'Here we define the GridGrouping Controls before callback script event.
        'What the below script does is that if the user clicked on the "Move Selection" bar button,
        ' then it will cancel's the Grid's callback (continueCallback = false will do that)
        ' and instead invoke the multiplexer's doCallback method.
        'This will fire the CallbackPanel1's CallbackRefresh event on the server.
        '-------------------------------


        '---------------------------------
        Me.MultiView1.SetActiveView(Me.View1)
        'For 1st Grid
        Me.GridGroupingControl1.BeforeCallbackScript = "if(arg.indexOf('CUSTOM:') != -1 && arg.indexOf('BB') != -1 && (arg.indexOf('12') != -1)){this.continueCallback=false; __sfCallbackMultiplexer1.doCallback('CallbackPanel1', arg);}"
        Me.GridGroupingControl1.DataSource = CheckGrid()
        Me.GridGroupingControl1.DataBind()
        Dim mainTD As GridTableDescriptor = Me.GridGroupingControl1.TableDescriptor
        mainTD.PrimaryKeyColumns.Add("Check #")

        'For 2nd Grid
        Me.GridGroupingControl2.BeforeCallbackScript = "if(arg.indexOf('CUSTOM:') != -1 && arg.indexOf('BB') != -1 && (arg.indexOf('12') != -1)){this.continueCallback=false; __sfCallbackMultiplexer1.doCallback('CallbackPanel1', arg);}"
        Me.GridGroupingControl2.DataSource = EnvelopeGrid()
        Me.GridGroupingControl2.DataBind()
        Dim mainTD2 As GridTableDescriptor = Me.GridGroupingControl2.TableDescriptor
        mainTD2.PrimaryKeyColumns.Add("Trace #")
        'For 3rd Grid
        Me.GridGroupingControl3.BeforeCallbackScript = "if(arg.indexOf('CUSTOM:') != -1 && arg.indexOf('BB') != -1 && (arg.indexOf('12') != -1)){this.continueCallback=false; __sfCallbackMultiplexer1.doCallback('CallbackPanel1', arg);}"
        Me.GridGroupingControl3.DataSource = InvoiceGrid()
        Me.GridGroupingControl3.DataBind()
        Dim mainTD3 As GridTableDescriptor = Me.GridGroupingControl3.TableDescriptor
        mainTD3.PrimaryKeyColumns.Add("Amount #")

        '  Me.FillGrid()

        If Me.IsPostBack = False Then
            Me.GridGroupingControl1.TableDescriptor.Columns(0).Width = 100
            Me.GridGroupingControl2.TableDescriptor.Columns(0).Width = 100
            Me.GridGroupingControl3.TableDescriptor.Columns(0).Width = 100

        End If
    End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Try
                '------------------------------------
                Me.RadioButtonList1.Attributes.Add("onclick", "onRadioButtonList1Click();")
                'for 2nd grid
                Me.RadioButtonList2.Attributes.Add("onclick", "onRadioButtonList2Click();")
                'for 3rd Grid
                Me.RadioButtonList3.Attributes.Add("onclick", "onRadioButtonList3Click();")

                '-------------------------------
                Dim font As GridFontInfo = Me.GridGroupingControl1.Appearance.AnyCell.Font
                font = Me.GridGroupingControl1.Appearance.AnyHeaderCell.Font

                'For 2nd Grid
                Dim font2 As GridFontInfo = Me.GridGroupingControl2.Appearance.AnyCell.Font
                font = Me.GridGroupingControl2.Appearance.AnyHeaderCell.Font
                Dim font3 As GridFontInfo = Me.GridGroupingControl3.Appearance.AnyCell.Font
                font = Me.GridGroupingControl3.Appearance.AnyHeaderCell.Font
                Me.InitSelectionMode()
            Catch ex As Exception
                MsgBox(ex.Message)
            End Try
        End If
    End Sub
    Public Function FillGrid()
        Dim Table1 As DataTable
        Table1 = New DataTable("TestTable")

        Dim Row1, Row2, Row3, Row4 As DataRow

        Dim AmountPresented As DataColumn = New DataColumn("Amount Presented")
        AmountPresented.DataType = System.Type.GetType("System.String")
        Table1.Columns.Add(AmountPresented)

        Dim BatchID As DataColumn = New DataColumn("Batch #")
        BatchID.DataType = System.Type.GetType("System.String")
        Table1.Columns.Add(BatchID)

        Dim RemitterRouting As DataColumn = New DataColumn("Remitter Routing #")
        RemitterRouting.DataType = System.Type.GetType("System.Int64")
        Table1.Columns.Add(RemitterRouting)

        Dim RemitterAccount As DataColumn = New DataColumn("Remitter Account #")
        RemitterAccount.DataType = System.Type.GetType("System.Int64")
        Table1.Columns.Add(RemitterAccount)

        Dim CheckNo As DataColumn = New DataColumn("Check #")
        CheckNo.DataType = System.Type.GetType("System.Int64")
        Table1.Columns.Add(CheckNo)

        Row1 = Table1.NewRow()
        Row1.Item("Amount Presented") = "$212.00"
        Row1.Item("Batch #") = "0000000000"
        Row1.Item("Remitter Routing #") = 72000096
        Row1.Item("Remitter Account #") = 1850399120
        Row1.Item("Check #") = 1376
        Table1.Rows.Add(Row1)

        Row2 = Table1.NewRow()
        Row2.Item("Amount Presented") = "$2637.28"
        Row2.Item("Batch #") = "0000000000"
        Row2.Item("Remitter Routing #") = 121137522
        Row2.Item("Remitter Account #") = 1892794411
        Row2.Item("Check #") = 5028
        Table1.Rows.Add(Row2)

        Row3 = Table1.NewRow()
        Row3.Item("Amount Presented") = "$2637.28"
        Row3.Item("Batch #") = "0000000000"
        Row3.Item("Remitter Routing #") = 72000096
        Row3.Item("Remitter Account #") = 1850399120
        Row3.Item("Check #") = 1377
        Table1.Rows.Add(Row3)

        Row4 = Table1.NewRow()
        Row4.Item("Amount Presented") = "$2228.65"
        Row4.Item("Batch #") = "0000000000"
        Row4.Item("Remitter Routing #") = 72000096
        Row4.Item("Remitter Account #") = 1850399120
        Row4.Item("Check #") = 1378
        Table1.Rows.Add(Row4)

        Dim ds As New DataSet()
        ds = New DataSet()
        ds.Tables.Add(Table1)
        GridGroupingControl1.DataSource = ds.Tables("TestTable")
        'Add PrimaryKey to the PrimaryKeyColumns collection
        Dim mainTD As GridTableDescriptor = Me.GridGroupingControl1.TableDescriptor
        'mainTD.PrimaryKeyColumns.Add("Amount Presented")
        mainTD.PrimaryKeyColumns.Add("Check #")
        Me.GridGroupingControl1.DataBind()

    End Function
    Private Sub InitSelectionMode()
        Me.GridGroupingControl1.TableOptions.ListBoxSelectionMode = CType(Me.RadioButtonList1.SelectedIndex, Syncfusion.Web.UI.WebControls.Tools.SelectionMode)
        Me.GridGroupingControl2.TableOptions.ListBoxSelectionMode = CType(Me.RadioButtonList2.SelectedIndex, Syncfusion.Web.UI.WebControls.Tools.SelectionMode)
        Me.GridGroupingControl3.TableOptions.ListBoxSelectionMode = CType(Me.RadioButtonList3.SelectedIndex, Syncfusion.Web.UI.WebControls.Tools.SelectionMode)

    End Sub
    Protected Sub Button2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnView1.Click
        For Each sr As SelectedRecord In Me.GridGroupingControl1.Table.SelectedRecords
            If sr.Record.GetValue("Check #").ToString() Is Nothing Then
                MsgBox(sr.Record.GetValue("Check #").ToString(), sr.Record.GetValue("Check #").ToString())
            End If

            ' If Me.ListBox1.Items.FindByValue(sr.Record.GetValue("Check #").ToString()) Is Nothing Then
            'Me.ListBox1.Items.Add(New ListItem(sr.Record.GetValue("Check #").ToString(), sr.Record.GetValue("Check #").ToString()))
            'End If

        Next sr
    End Sub
    
    Protected Sub CallbackPanel1_CallbackRefresh(ByVal sender As Object, ByVal e As Syncfusion.Web.UI.WebControls.Tools.CancellableCallbackEventArgs)
        If e.CallbackArgument = "clearList" Then
            '  Me.ListBox1.Items.Clear()
           
        End If
    End Sub


    Protected Sub Grid_BarButtonItemClicked(ByVal source As Object, ByVal e As Syncfusion.Web.UI.WebControls.Grid.Grouping.ButtonBarItemClickEventArgs)
        'Here we clear the selection when the clear selection Custom button bar item is clicked.
        If e.ButtonBarItem.Tooltip = "Clear Selection" Then
            Me.GridGroupingControl1.Table.SelectedRecords.Clear()
        End If
    End Sub
    
    Protected Sub GridGroupingControl1_BarButtonItemClicked(ByVal source As Object, ByVal e As Syncfusion.Web.UI.WebControls.Grid.Grouping.ButtonBarItemClickEventArgs) Handles GridGroupingControl1.BarButtonItemClicked

        If e.ButtonBarItem.Text = "Select" Then
            For Each sr As SelectedRecord In Me.GridGroupingControl1.Table.SelectedRecords


                'If Me.ListBox1.Items.FindByValue(sr.Record.GetValue("Amount Presented").ToString()) Is Nothing Then
                ' MsgBox(sr.Record.GetValue("Check #").ToString())
                Select_DataGrid(sr.Record.GetValue("Check #").ToString())
                'Me.ListBox1.Items.Add(New ListItem(sr.Record.GetValue("Check #").ToString(), sr.Record.GetValue("Amount Presented").ToString()))
                ' End If
            Next sr
        End If
    End Sub

    
    Protected Sub MultiView1_ActiveViewChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles MultiView1.ActiveViewChanged

    End Sub

    Protected Sub TabStrip1_Click(ByVal sender As Object, ByVal e As Syncfusion.Web.UI.WebControls.Tools.TabStripCommandEventArgs) Handles TabStrip1.Click
        If blnTabExecute = False Then

            If e.StripItem.Text = "Query Results" Then
                Me.MultiView1.SetActiveView(Me.View1)
                'Me.GridView1.DataSource = CheckGrid()
                'Me.GridView1.DataBind()
                'Me.GridGroupingControl1.DataSource = Me.FillGrid()
                'Me.GridGroupingControl1.DataBind()
                'Dim mainTD As GridTableDescriptor = Me.GridGroupingControl1.TableDescriptor
                'mainTD.PrimaryKeyColumns.Add("Check #")
            ElseIf e.StripItem.Text = "Related Envelope" Then
                Me.MultiView1.SetActiveView(Me.View2)
                '    'Me.GridView1.DataSource = EnvelopeGrid()
                '    'Me.GridView1.DataBind()
                '    Me.GridGroupingContro1.DataSource = EnvelopeGrid()
                '    Me.GridGroupingContro1.DataBind()
            ElseIf e.StripItem.Text = "Related Invoice" Then
                Me.MultiView1.SetActiveView(Me.View3)
                '    Me.MultiView1.SetActiveView(Me.View1)
                '    'Me.GridView1.DataSource = InvoiceGrid()
                '    'Me.GridView1.DataBind()
                '    Me.GridGroupingContro1.DataSource = InvoiceGrid()
                '    Me.GridGroupingContro1.DataBind()
                'ElseIf e.StripItem.Text = "Checks Image" Then
                '    Me.MultiView1.SetActiveView(Me.View2)
                '    'Me.GridView2.DataSource = ImagesGrid()
                '    'Me.GridView2.DataBind()
                '    Me.GridGroupingControl2.DataSource = ImagesGrid()
                '    Me.GridGroupingControl2.DataBind()
                '    'GrdResultColor(GridView2.Rows.Count, True)
                'ElseIf e.StripItem.Text = "Related Invoices" Then
                '    Me.MultiView1.SetActiveView(Me.View2)
                '    'Me.GridView2.DataSource = InvoiceSecGrid()
                '    'Me.GridView2.DataBind()
                '    Me.GridGroupingControl2.DataSource = InvoiceSecGrid()
                '    Me.GridGroupingControl2.DataBind()
                '    'GrdResultColor(GridView2.Rows.Count, True)
                'ElseIf e.StripItem.Text = "Related Correspondence" Then
                '    Me.MultiView1.SetActiveView(Me.View2)
                '    'Me.GridView2.DataSource = CorrospondenceGrid()
                '    'Me.GridView2.DataBind()
                '    Me.GridGroupingControl2.DataSource = CorrospondenceGrid()
                '    Me.GridGroupingControl2.DataBind()
                '    'GrdResultColor(GridView2.Rows.Count, True)
            End If

            Dim SelectTab As String = e.StripItem.Text
            Session("SelectTabSession") = SelectTab
            blnTabExecute = True
        End If

        'If GridView1.Rows.Count > 0 Then
        '    GrdResultColor(GridView1.Rows.Count)
        'End If

        'GridView1.SelectedIndex = 0
        TabStrip1.Visible = True
        'PnlSelCri.Visible = False
    End Sub
#Region "Data Bind"
    Function CheckGrid()
        Dim dt As DataTable
        Dim dr1, dr2, dr3, dr4 As DataRow

        dt = New DataTable
        dt.Columns.Add(New DataColumn("Note", GetType(String)))
        dt.Columns.Add(New DataColumn("Tag", GetType(String)))
        dt.Columns.Add(New DataColumn("Amount Presented", GetType(String)))
        dt.Columns.Add(New DataColumn("Batch #", GetType(String)))
        dt.Columns.Add(New DataColumn("Remitter Routing #", GetType(String)))
        dt.Columns.Add(New DataColumn("Remitter Account #", GetType(String)))
        dt.Columns.Add(New DataColumn("Check #", GetType(String)))
        dt.Columns.Add(New DataColumn("Date Presented", GetType(String)))
        dt.Columns.Add(New DataColumn("Trace ID", GetType(String)))
        dt.Columns.Add(New DataColumn("CDVolumeID", GetType(String)))
        Try
            dr1 = dt.NewRow
            dr1.Item("Note") = "True"
            dr1.Item("Tag") = "True"
            dr1.Item("Amount Presented") = "$212.00"
            dr1.Item("Batch #") = "0000000000"
            dr1.Item("Remitter Routing #") = "72000096"
            dr1.Item("Remitter Account #") = "1850399120"
            dr1.Item("Check #") = "1376"
            dr1.Item("Date Presented") = "1/25/2005"
            dr1.Item("TRACE ID") = "10002"
            dr1.Item("CDVolumeID") = "70329000001016951"
            dt.Rows.Add(dr1)

            dr2 = dt.NewRow
            dr2.Item("Amount Presented") = "$2637.28"
            dr2.Item("Batch #") = "0000000000"
            dr2.Item("Remitter Routing #") = "121137522"
            dr2.Item("Remitter Account #") = "1892794411"
            dr2.Item("Check #") = "5028"
            dr2.Item("Date Presented") = "1/25/2005"
            dr2.Item("TRACE ID") = "20001"
            dr2.Item("CDVolumeID") = "70329000001016952"
            dt.Rows.Add(dr2)

            dr3 = dt.NewRow
            dr3.Item("Amount Presented") = "$2637.28"
            dr3.Item("Batch #") = "0000000000"
            dr3.Item("Remitter Routing #") = "72000096"
            dr3.Item("Remitter Account #") = "1850399120"
            dr3.Item("Check #") = "1377"
            dr3.Item("Date Presented") = "1/25/2005"
            dr3.Item("TRACE ID") = "30001"
            dr3.Item("CDVolumeID") = "70329000001016953"
            dt.Rows.Add(dr3)

            dr4 = dt.NewRow
            dr4.Item("Amount Presented") = "$2228.65"
            dr4.Item("Batch #") = "0000000000"
            dr4.Item("Remitter Routing #") = "72000096"
            dr4.Item("Remitter Account #") = "1850399120"
            dr4.Item("Check #") = "1378"
            dr4.Item("Date Presented") = "1/25/2005"
            dr4.Item("TRACE ID") = "40001"
            dr4.Item("CDVolumeID") = "70329000001016954"
            dt.Rows.Add(dr4)

            CheckGrid = New DataView(dt)
            Session("QueryResultSession") = "1376"
        Catch ex As Exception
            MsgBox("Please select any row.", MsgBoxStyle.Information, "Error")
            Return Nothing
        End Try
    End Function
    Function EnvelopeGrid()
        Dim dt As DataTable
        Dim dr1 As DataRow
        Dim StrQueryResult As String = CType(Session.Item("QueryResultSession"), String)


        dt = New DataTable
        dt.Columns.Add(New DataColumn("Note", GetType(String)))
        dt.Columns.Add(New DataColumn("Tag", GetType(String)))
        dt.Columns.Add(New DataColumn("PostMark date", GetType(String)))
        dt.Columns.Add(New DataColumn("Date Presented", GetType(String)))
        dt.Columns.Add(New DataColumn("Trace #", GetType(String)))
        dt.Columns.Add(New DataColumn("CDVolumeID", GetType(String)))

        'If GridView1.SelectedIndex.ToString = -1 Then
        '    EnvelopeGrid = New DataView(dt)
        '    Exit Function

        '    GridView1.Rows(1).Cells(7).Text = "1376"
        'End If
        Try

            If StrQueryResult = "1376" Then

                dr1 = dt.NewRow
                dr1.Item("Note") = "True"
                dr1.Item("Tag") = "True"
                dr1.Item("PostMark date") = ""
                dr1.Item("Date Presented") = "1/27/2005"
                dr1.Item("Trace #") = "200010003"
                dr1.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr1)
            ElseIf StrQueryResult = "5028" Then
                dr1 = dt.NewRow
                dr1.Item("Note") = ""
                dr1.Item("Tag") = ""
                dr1.Item("PostMark date") = ""
                dr1.Item("Date Presented") = "1/27/2005"
                dr1.Item("Trace #") = "100060001"
                dr1.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr1)
            ElseIf StrQueryResult = "1377" Then
                dr1 = dt.NewRow
                dr1.Item("Note") = ""
                dr1.Item("Tag") = ""
                dr1.Item("PostMark date") = ""
                dr1.Item("Date Presented") = "1/26/2005"
                dr1.Item("Trace #") = "100040003"
                dr1.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr1)
            ElseIf StrQueryResult = "1378" Then
                dr1 = dt.NewRow
                dr1.Item("Note") = ""
                dr1.Item("Tag") = ""
                dr1.Item("PostMark date") = ""
                dr1.Item("Date Presented") = "1/25/2005"
                dr1.Item("Trace #") = "200020003"
                dr1.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr1)
            End If

            'GridView1.SelectedIndex = -1
            EnvelopeGrid = New DataView(dt)

        Catch ex As Exception
            ' CheckQuerySession()
            MsgBox("Before selecting Related Envelope, please select any row in Query Result", MsgBoxStyle.Information, "Error")
            Return Nothing
        End Try
    End Function
    Function InvoiceGrid()
        Dim dt As DataTable
        Dim dr1, dr2 As DataRow

        dt = New DataTable
        dt.Columns.Add(New DataColumn("Note", GetType(String)))
        dt.Columns.Add(New DataColumn("Tag", GetType(String)))
        dt.Columns.Add(New DataColumn("Payor Amount #", GetType(String)))
        dt.Columns.Add(New DataColumn("Amount #", GetType(String)))
        dt.Columns.Add(New DataColumn("Batch #", GetType(String)))
        dt.Columns.Add(New DataColumn("Check #", GetType(String)))
        dt.Columns.Add(New DataColumn("Invoice Date", GetType(String)))
        dt.Columns.Add(New DataColumn("Invoice #", GetType(String)))
        dt.Columns.Add(New DataColumn("Payor Name", GetType(String)))
        dt.Columns.Add(New DataColumn("Reference No.", GetType(String)))
        dt.Columns.Add(New DataColumn("Date Presented", GetType(String)))
        dt.Columns.Add(New DataColumn("Trace #", GetType(String)))
        dt.Columns.Add(New DataColumn("CDVolumeID", GetType(String)))
        'If GridView1.SelectedIndex.ToString = -1 Then
        '    InvoiceGrid = New DataView(dt)
        '    Exit Function

        '    GridView1.Rows(1).Cells(7).Text = "1376"
        'End If

        Try

            dr1 = dt.NewRow
            Dim StrREnvelop As String = String.Empty
            StrREnvelop = "200010003"
            If StrREnvelop = "200010003" Then
                dr1.Item("Note") = "True"
                dr1.Item("Tag") = "True"
                dr1.Item("Payor Amount #") = "222B"
                dr1.Item("Amount #") = "$2,252.50"
                dr1.Item("Batch #") = "00000000004"
                dr1.Item("Check #") = "1361"
                dr1.Item("Invoice Date") = "1/15/2005"
                dr1.Item("Invoice #") = "325389"
                dr1.Item("Payor Name") = "ABC FOODS"
                dr1.Item("Reference No.") = ""
                dr1.Item("Date Presented") = "1/26/2005"
                dr1.Item("Trace #") = "400020001"
                dr1.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr1)

                dr2 = dt.NewRow
                dr2.Item("Note") = "True"
                dr2.Item("Tag") = "True"
                dr2.Item("Payor Amount #") = ""
                dr2.Item("Amount #") = "$2,093.50"
                dr2.Item("Batch #") = "00000000002"
                dr2.Item("Check #") = "1361"
                dr2.Item("Invoice Date") = "1/4/2005"
                dr2.Item("Invoice #") = "321665"
                dr2.Item("Payor Name") = "ABC FOODS"
                dr2.Item("Reference No.") = ""
                dr2.Item("Date Presented") = "1/27/2005"
                dr2.Item("Trace #") = "200010001"
                dr2.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr2)
            ElseIf StrREnvelop = "100060001" Then
                dr1.Item("Note") = ""
                dr1.Item("Tag") = ""
                dr1.Item("Payor Amount #") = ""
                dr1.Item("Amount #") = "$0.00"
                dr1.Item("Batch #") = "00000000001"
                dr1.Item("Check #") = "1449"
                dr1.Item("Invoice Date") = ""
                dr1.Item("Invoice #") = ""
                dr1.Item("Payor Name") = "QUICK MART #345"
                dr1.Item("Reference No.") = ""
                dr1.Item("Date Presented") = "1/27/2005"
                dr1.Item("Trace #") = "100069999"
                dr1.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr1)

                dr2 = dt.NewRow
                dr2.Item("Note") = ""
                dr2.Item("Tag") = ""
                dr2.Item("Payor Amount #") = ""
                dr2.Item("Amount #") = "$424.00"
                dr2.Item("Batch #") = "00000000001"
                dr2.Item("Check #") = "1449"
                dr2.Item("Invoice Date") = ""
                dr2.Item("Invoice #") = "321665"
                dr2.Item("Payor Name") = "QUICK MART #345"
                dr2.Item("Reference No.") = ""
                dr2.Item("Date Presented") = "1/27/2005"
                dr2.Item("Trace #") = "100060002"
                dr2.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr2)
            ElseIf StrREnvelop = "100040003" Then
                dr1.Item("Note") = ""
                dr1.Item("Tag") = ""
                dr1.Item("Payor Amount #") = ""
                dr1.Item("Amount #") = "$530.00"
                dr1.Item("Batch #") = "00000000002"
                dr1.Item("Check #") = "1437"
                dr1.Item("Invoice Date") = ""
                dr1.Item("Invoice #") = ""
                dr1.Item("Payor Name") = "ABC FOODS"
                dr1.Item("Reference No.") = ""
                dr1.Item("Date Presented") = "1/26/2005"
                dr1.Item("Trace #") = "200010004"
                dr1.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr1)

                dr2 = dt.NewRow
                dr2.Item("Note") = ""
                dr2.Item("Tag") = ""
                dr2.Item("Payor Amount #") = "111A"
                dr2.Item("Amount #") = "$500.00"
                dr2.Item("Batch #") = "00000000002"
                dr2.Item("Check #") = "1437"
                dr2.Item("Invoice Date") = "1/4/2005"
                dr2.Item("Invoice #") = "321999"
                dr2.Item("Payor Name") = "ABC FOODS"
                dr2.Item("Reference No.") = ""
                dr2.Item("Date Presented") = "1/25/2005"
                dr2.Item("Trace #") = "40002"
                dr2.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr2)
            ElseIf StrREnvelop = "200020003" Then
                dr1.Item("Note") = ""
                dr1.Item("Tag") = ""
                dr1.Item("Payor Amount #") = "111A"
                dr1.Item("Amount #") = "$135.00"
                dr1.Item("Batch #") = "00000000000"
                dr1.Item("Check #") = "1348"
                dr1.Item("Invoice Date") = "1/5/2005"
                dr1.Item("Invoice #") = "321100"
                dr1.Item("Payor Name") = "ABC FOODS"
                dr1.Item("Reference No.") = ""
                dr1.Item("Date Presented") = "1/25/2005"
                dr1.Item("Trace #") = "40002"
                dr1.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr1)

                dr2 = dt.NewRow
                dr2.Item("Note") = ""
                dr2.Item("Tag") = ""
                dr2.Item("Payor Amount #") = "111A"
                dr2.Item("Amount #") = "$2,093.00"
                dr2.Item("Batch #") = "00000000000"
                dr2.Item("Check #") = "1348"
                dr2.Item("Invoice Date") = "1/4/2005"
                dr2.Item("Invoice #") = "321665"
                dr2.Item("Payor Name") = "ABC FOODS"
                dr2.Item("Reference No.") = ""
                dr2.Item("Date Presented") = "1/25/2005"
                dr2.Item("Trace #") = "40001"
                dr2.Item("CDVolumeID") = "7032900000101"
                dt.Rows.Add(dr2)

            Else
                If Session("QueryResultSession") = "1376" Then
                    dr1.Item("Note") = "True"
                    dr1.Item("Tag") = "True"
                    dr1.Item("Payor Amount #") = "222B"
                    dr1.Item("Amount #") = "$2,252.50"
                    dr1.Item("Batch #") = "00000000004"
                    dr1.Item("Check #") = "1361"
                    dr1.Item("Invoice Date") = "1/15/2005"
                    dr1.Item("Invoice #") = "325389"
                    dr1.Item("Payor Name") = "ABC FOODS"
                    dr1.Item("Reference No.") = ""
                    dr1.Item("Date Presented") = "1/26/2005"
                    dr1.Item("Trace #") = "400020001"
                    dr1.Item("CDVolumeID") = "7032900000101"
                    dt.Rows.Add(dr1)

                    dr2 = dt.NewRow
                    dr2.Item("Note") = "True"
                    dr2.Item("Tag") = "True"
                    dr2.Item("Payor Amount #") = ""
                    dr2.Item("Amount #") = "$2,093.50"
                    dr2.Item("Batch #") = "00000000002"
                    dr2.Item("Check #") = "1361"
                    dr2.Item("Invoice Date") = "1/4/2005"
                    dr2.Item("Invoice #") = "321665"
                    dr2.Item("Payor Name") = "ABC FOODS"
                    dr2.Item("Reference No.") = ""
                    dr2.Item("Date Presented") = "1/27/2005"
                    dr2.Item("Trace #") = "200010001"
                    dr2.Item("CDVolumeID") = "7032900000101"
                    dt.Rows.Add(dr2)
                ElseIf Session("QueryResultSession") = "5028" Then
                    dr1.Item("Note") = ""
                    dr1.Item("Tag") = ""
                    dr1.Item("Payor Amount #") = ""
                    dr1.Item("Amount #") = "$0.00"
                    dr1.Item("Batch #") = "00000000001"
                    dr1.Item("Check #") = "1449"
                    dr1.Item("Invoice Date") = ""
                    dr1.Item("Invoice #") = ""
                    dr1.Item("Payor Name") = "QUICK MART #345"
                    dr1.Item("Reference No.") = ""
                    dr1.Item("Date Presented") = "1/27/2005"
                    dr1.Item("Trace #") = "100069999"
                    dr1.Item("CDVolumeID") = "7032900000101"
                    dt.Rows.Add(dr1)

                    dr2 = dt.NewRow
                    dr2.Item("Note") = ""
                    dr2.Item("Tag") = ""
                    dr2.Item("Payor Amount #") = ""
                    dr2.Item("Amount #") = "$424.00"
                    dr2.Item("Batch #") = "00000000001"
                    dr2.Item("Check #") = "1449"
                    dr2.Item("Invoice Date") = ""
                    dr2.Item("Invoice #") = "321665"
                    dr2.Item("Payor Name") = "QUICK MART #345"
                    dr2.Item("Reference No.") = ""
                    dr2.Item("Date Presented") = "1/27/2005"
                    dr2.Item("Trace #") = "100060002"
                    dr2.Item("CDVolumeID") = "7032900000101"
                    dt.Rows.Add(dr2)
                ElseIf Session("QueryResultSession") = "1377" Then
                    dr1.Item("Note") = ""
                    dr1.Item("Tag") = ""
                    dr1.Item("Payor Amount #") = ""
                    dr1.Item("Amount #") = "$530.00"
                    dr1.Item("Batch #") = "00000000002"
                    dr1.Item("Check #") = "1437"
                    dr1.Item("Invoice Date") = ""
                    dr1.Item("Invoice #") = ""
                    dr1.Item("Payor Name") = "ABC FOODS"
                    dr1.Item("Reference No.") = ""
                    dr1.Item("Date Presented") = "1/26/2005"
                    dr1.Item("Trace #") = "200010004"
                    dr1.Item("CDVolumeID") = "7032900000101"
                    dt.Rows.Add(dr1)

                    dr2 = dt.NewRow
                    dr2.Item("Note") = ""
                    dr2.Item("Tag") = ""
                    dr2.Item("Payor Amount #") = "111A"
                    dr2.Item("Amount #") = "$500.00"
                    dr2.Item("Batch #") = "00000000002"
                    dr2.Item("Check #") = "1437"
                    dr2.Item("Invoice Date") = "1/4/2005"
                    dr2.Item("Invoice #") = "321999"
                    dr2.Item("Payor Name") = "ABC FOODS"
                    dr2.Item("Reference No.") = ""
                    dr2.Item("Date Presented") = "1/25/2005"
                    dr2.Item("Trace #") = "40002"
                    dr2.Item("CDVolumeID") = "7032900000101"
                    dt.Rows.Add(dr2)
                ElseIf Session("QueryResultSession") = "1378" Then
                    dr1.Item("Note") = ""
                    dr1.Item("Tag") = ""
                    dr1.Item("Payor Amount #") = "111A"
                    dr1.Item("Amount #") = "$135.00"
                    dr1.Item("Batch #") = "00000000000"
                    dr1.Item("Check #") = "1348"
                    dr1.Item("Invoice Date") = "1/5/2005"
                    dr1.Item("Invoice #") = "321100"
                    dr1.Item("Payor Name") = "ABC FOODS"
                    dr1.Item("Reference No.") = ""
                    dr1.Item("Date Presented") = "1/25/2005"
                    dr1.Item("Trace #") = "40002"
                    dr1.Item("CDVolumeID") = "7032900000101"
                    dt.Rows.Add(dr1)

                    dr2 = dt.NewRow
                    dr2.Item("Note") = ""
                    dr2.Item("Tag") = ""
                    dr2.Item("Payor Amount #") = "111A"
                    dr2.Item("Amount #") = "$2,093.00"
                    dr2.Item("Batch #") = "00000000000"
                    dr2.Item("Check #") = "1348"
                    dr2.Item("Invoice Date") = "1/4/2005"
                    dr2.Item("Invoice #") = "321665"
                    dr2.Item("Payor Name") = "ABC FOODS"
                    dr2.Item("Reference No.") = ""
                    dr2.Item("Date Presented") = "1/25/2005"
                    dr2.Item("Trace #") = "40001"
                    dr2.Item("CDVolumeID") = "7032900000101"
                    dt.Rows.Add(dr2)
                End If

            End If
            InvoiceGrid = New DataView(dt)

        Catch ex As Exception
            MsgBox("Before selecting Related Invoice, please select any row in Related Envelope", MsgBoxStyle.Information, "Error")
            Return Nothing
        End Try
    End Function
    Private Sub Select_DataGrid(ByVal StrValue As String)
        Panel1.Visible = True
        ImageManuControl1.Visible = True
        ' For Each sr As SelectedRecord In Me.GridGroupingContro1.Table.SelectedRecords
        ' Panel1.Visible = True
        'Dim SelectTab As String = e.StripItem.Text
        Session("SelectCheckValue1") = StrValue

        'Dim SelectChe As String = CType(Session.Item("SelectCheckValue1"), String)

        ' If TabSelectItem = "" Then TabSelectItem = "Query Results"

        ImageManuControl1.SetImageSize(New Drawing.Size(790, 203))
        'If StrValue = "Query Results" Then
        'IsSelect = True
        If StrValue = "1376" Then
            ImageManuControl1.LoadImage("Images/CHECKS070329000001016951FBW.bmp")

        ElseIf StrValue = "5028" Then
            ImageManuControl1.LoadImage("Images/CHECKS070329000001016952FBW.bmp")
        ElseIf StrValue = "1377" Then
            ImageManuControl1.LoadImage("Images/CHECKS070329000001016953FBW.bmp")
        ElseIf StrValue = "1378" Then
            ImageManuControl1.LoadImage("Images/CHECKS070329000001016954FBW.bmp")
        End If
        'ImageManuControl1.SetImageSize(New Size(790, 250))
        'If sr.Record.GetValue("Check #") = "" Then
        '    Session("QueryResultSession") = ""
        'Else
        '    Session("QueryResultSession") = sr.Record.GetValue("Check #")

        'End If


        'ElseIf StrValue = "Related Envelope" Then
        'IsSelect = True
        'If sr.Record.GetValue("Trace #") = "200010003" Then
        '    ImageManuControl1.LoadImage("Images/Envelopes070329000001016984FBW.bmp")
        '    IsSelect = True
        'End If
        'If sr.Record.GetValue("Trace #") = "100060001" Then
        '    ImageManuControl1.LoadImage("Images/Envelopes070329000001016988FBW.bmp")
        'End If
        'If sr.Record.GetValue("Trace #") = "100040003" Then
        '    ImageManuControl1.LoadImage("Images/Envelopes070329000001016986FBW.bmp")
        'End If
        'If sr.Record.GetValue("Trace #") = "200020003" Then
        '    ImageManuControl1.LoadImage("Images/Envelopes0703290000010169812FBW.bmp")
        'End If

        'ImageManuControl1.SetImageSize(New Size(790, 250))
        'ElseIf StrValue = "Related Invoice" Then
        'IsSelect = True
        'If sr.Record.GetValue("Check #") = "400020001" Then
        '    ImageManuControl1.LoadImage("Images/Invoices0703290000010169886FBW.bmp")
        'End If
        'If sr.Record.GetValue("Check #") = "200010001" Then
        '    ImageManuControl1.LoadImage("Images/Invoices07032900000101698142FBW.bmp")
        'End If
        'If sr.Record.GetValue("Check #") = "100069999" Then
        '    ImageManuControl1.LoadImage("Images/Invoices07032900000101698136FBW.bmp")
        'End If
        'If sr.Record.GetValue("Check #") = "100060002" Then
        '    ImageManuControl1.LoadImage("Images/Invoices07032900000101698129FBW.bmp")
        'End If
        'If sr.Record.GetValue("Check #") = "200010004" Then
        '    ImageManuControl1.LoadImage("Images/Invoices07032900000101698133FBW.bmp")
        'End If
        'If sr.Record.GetValue("Check #") = "40002" And sr.Record.GetValue("Trace #") = "1437" Then
        '    ImageManuControl1.LoadImage("Images/Invoices0703290000010169877FBW.bmp")
        'End If
        'If sr.Record.GetValue("Check #") = "40002" And sr.Record.GetValue("Trace #") = "1348" Then
        '    ImageManuControl1.LoadImage("Images/Invoices0703290000010169834FBW.bmp")
        'End If
        'If sr.Record.GetValue("Check #") = "40001" Then
        '    ImageManuControl1.LoadImage("Images/Invoices0703290000010169833FBW.bmp")
        'End If

        'ImageManuControl1.SetImageSize(New Size(790, 400))
        'ElseIf StrValue = "Checks Image" Then
        'ImageManuControl1.LoadImage("Images/Checks0703290000010169873FBW.bmp")
        'ImageManuControl1.SetImageSize(New Size(790, 250))
        'ElseIf StrValue = "Related Invoices" Then
        'ImageManuControl1.LoadImage("Images/Invoices07032900000101698135FBW.bmp")
        'ImageManuControl1.SetImageSize(New Size(790, 500))
        'ElseIf StrValue = "Related Correspondence" Then
        'ImageManuControl1.LoadImage("Images/Correspondence070329000001016988FBW.bmp")
        'ImageManuControl1.SetImageSize(New Size(790, 500))
        'End If
        ''  Next
        ''PnlSelCri.Visible = False
        'TabStrip1.Visible = True
    End Sub
#End Region
End Class
